Page MenuHomePhabricator

Plan, write and submit a satisfaction survey concerning Flow to communities
Closed, ResolvedPublic

Description

Some communities use Flow in a very active way. For example, 580+ user talk pages uses Flow on zh.wp or the different help desks on French Wikipedia got 15+ messages/day. Do they need support?

Steps:

Next step: T144730: Publication of the Flow Satisfaction Survey results including an analysis and raw data

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Integration to Qualtrics done. We are late (that survey was scheduled for the end of March), so I prefer to reschedule it for the end of April.

Trizek-WMF updated the task description. (Show Details)Apr 14 2016, 1:46 PM

Content is ready for translations. Translations request email is drafted and will be reviewed soon.

We are requesting translations for Arabic, Bosnian, Catalan, Chinese (zh), Esperanto, French, Hebrew, Portuguese and Urdu. Wikis on these languages have active Flow boards, sometimes as a Beta feature for users, other times as community boards. However, Flow is also available on Wikidata and MediaWiki, both international wikis, so any translation into an other language will be appreciated.

Next step, determine how to randomly distribute the survey invitation.

Have a look on bugs I first submitted by replying to the announcement email (on the Translators list) and then on the Talk page of the source English page on Meta:
https://meta.wikimedia.org/wiki/Talk:Collaboration/Flow_satisfaction_survey/translations
There are a few things to correct in the survey.

For a couple of entries, I added some corrections in the "/qqq" doc (missing one term in one question, and a typo in a reply option)

Someone also asked why there was "French" given in one sentence, I replied that this was probably because the Survey would include screen snapshots (probably hosted on Commons).
However it may be useful to allow localizing the file names for these captures (if they are effectively on Commons), provided that these external images are also accessible from the Qualtrics website in its hosted surveys (Qualtrics may need full urls, but these URLs can be infered).
There are probably some constraints on image sizes, resolution and quality for these captures.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 2:11 PM

Is this error related to the ongoing tests of transfer of net-centers ?

[VxZInwrAIDYAAL4Ejw8AAABU] 2016-04-19 15:02:56: Erreur fatale de type « JobQueueError »

This happens on every edit on Meta. Could this be caused by how the "fuzzybot" is working on Meta? Translations is not possible at all there due to this issue

Note: we do not always see the message "the wiki is in read-only mode". We start editing and when we save we just see this "JobQueueError".
Something is failing in the ongoing test of net-centers, or there's an issue when this "read-only mode" was set (or if the test is finished, on how it was reset).
This also happens on editing any other page on Meta (without using the translation tool) when saving any edited wiki pages.

Yes it is. Please wait a bit before adding new translations. :)

However Wikidata is functional, as well as Wikipedia (I tested "fr", "en"). Commons has some issues returning back to normal mode (but still some issues in the translation tool used there)

Well those errors are also part of the results of this short test (whose purpose is also to collect signs of errors).
I think they should be studied to see what could be wrong in the configuration when the effective transfer will start more massively later (probably wiki per wiki, first by starting the mirroring of the secure wiki users database for logging in). This transfer will be really challenging for giant wikis such as ENWP and Commons (and it could require a temporary allocation of more bandwidth between the two net-centers to speed up the transfers and avoid very long off-times, or configuring some newer synchronization mechanisms if both will need to cooperate at the same time).
Meta is now functional again. Thanks for solving this temporary issue.

@Verdy_p, that Phabricator task is not dedicated to the Server switch but to the Flow satisfaction survey. If you want to provide feedback about that operation, please file a new task :)

Asked some specific communities about translations, especially Chinese (zh) which was still missing.

Trizek-WMF updated the task description. (Show Details)Apr 29 2016, 7:40 AM

List of wikis that use Flow atm:
mediawiki.org
wikidata.org
ar.wikipedia.org
bs.wikipedia.org
ca.wikipedia.org
en.wikipedia.org
eo.wikipedia.org
fr.wikipedia.org
fr.wikisource.org
fr.wiktionary.org
gom.wikipedia.org
he.wikipedia.org
pl.wikipedia.org
pt.wikipedia.org
pt.wikibooks.org
ru.wikipedia.org
ur.wikipedia.org
zh.wikipedia.org
Other

I haven't listed the most recent ones in a new language, like no.wp.

@Catrope, do you have a way to find all Flow boards on these wikis?

With that list, I'll randomly pick names and distribute via MassMessage the invitation to each wiki in a proportional way.

I'll also post messages on Community pages using Flow to get external inputs.

Thanks!

List of wikis that use Flow atm:
mediawiki.org
wikidata.org
ar.wikipedia.org
bs.wikipedia.org
ca.wikipedia.org
en.wikipedia.org
eo.wikipedia.org
fr.wikipedia.org
fr.wikisource.org
fr.wiktionary.org
gom.wikipedia.org
he.wikipedia.org
pl.wikipedia.org
pt.wikipedia.org
pt.wikibooks.org
ru.wikipedia.org
ur.wikipedia.org
zh.wikipedia.org
Other
I haven't listed the most recent ones in a new language, like no.wp.

There are a few others. Full list (plus officewiki, not on this list for technical reasons):

mysql:research@x1-analytics-slave [flowdb]> SELECT DISTINCT workflow_wiki FROM flow_workflow;
+---------------+
| workflow_wiki |
+---------------+
| arwiki        |
| bswiki        |
| cawiki        |
| commonswiki   |
| cswiki        |
| enwiki        |
| eowiki        |
| fawiki        |
| fiwiki        |
| fiwikimedia   |
| frwiki        |
| frwikisource  |
| frwiktionary  |
| gomwiki       |
| hewiki        |
| idwiki        |
| kabwiki       |
| kkwiki        |
| lvwiki        |
| mediawikiwiki |
| metawiki      |
| nowiki        |
| pawiki        |
| plwiki        |
| ptwiki        |
| ptwikibooks   |
| ruwiki        |
| sewikimedia   |
| svwiki        |
| test2wiki     |
| testwiki      |
| tewiki        |
| urwiki        |
| wikidatawiki  |
| zhwiki        |
+---------------+
35 rows in set (0.01 sec)

I think some, like metawiki, are inactive or only have tests or pages about Flow. Others, like se.wikimedia.org and office.wikimedia.org, may be worth surveying.

Note that the existing Chinese translation does not specify if it is using Simplified or Traditional sinograms.
On Wikimedia wikis, this does not matter as they are translitterated, but this is not the case on the Qualtrics site that will need resources already transliterated (zh-hand and zh-hnat could be autogenerated with a basic script running on Meta, or by copy-pasting from the page rendered into the translation tool).
There are possibly a few occurences that may not be transliterated automatically with the most appropriate character, but this would also be true of articles in Chinese Wikipedia.

For another language in this list above there are also several script variants (ar, he: may be pointed or not; Russian with or without tone accents; Greek with or without spirits and tonic accents i.e. with the monotonic or polytonic orthography), or several scripts (kab: could be written in Latin or Arabic script or in Tifinagh; however there are also language variants encoded distinctly for them that have their main script and Kabyle is generally written in Latin, at least in Algeria and France, elsewhere there are not just script differences but also dialectal differences; in Morocco, the dialectal variant using Tifinagh is officialized under a distinct language code, but is also commonly written in Arabic).

I'm surprised not seeing Hindi in this list for India, now the most populated country (only Urdu, Panjabi and Telugu, but surprising also not Tamil, even if there's a very active Tamil community on Wikimedia including for translations), even if it is the only official language of India at national level (English is a working language). Urdu is in fact a variant of Hindi written in the Arabic script, with minor differences orally. But transliterating from Arabic to Devanagari will not work to create an accurate Hindi version due to the more defective nature of the Arabic script for both vowels and consonnants (the reverse transliteration from Hindi to Urdu is more reliable). There's an extended Urdu orthography using some additional Arabic letters and vocalic points, but it is rarely followed by native Urdu writters (that omit the additional distinctions, like in Arabic and Farsi) if there's no ambiguity in the context of use.
Do Indian Wikimedians feel that the English version is enough for them?

Finally, note that some questions include year numbers in responses, which are not translatable for now (but for Arabic at least, the Arabic digits should be used; for Chinese, year numbers may need adaptation of format by adding an additional sinogram meaning "year" after the ordinal number)

In T125632#2251892, @Mattflaschen wrote:

I think some, like metawiki, are inactive or only have tests or pages about Flow.

That's was the purpose of that shortlist: wikis where Flow is, at least, active on one community page, or one active test page.

Others, like se.wikimedia.org and office.wikimedia.org, may be worth surveying.

Good point.

Note that the existing Chinese translation does not specify if it is using Simplified or Traditional sinograms.
On Wikimedia wikis, this does not matter as they are translitterated, but this is not the case on the Qualtric

Six users from zh.wikipedia have translated that survey, and I'm sure they know about that. It was possible for them to create a translation in the transliteration they want. At least, we have a translation (and it has not been easy to obtain it), which is better than no translation at all.

For another language in this list above there are also several script variants [...] or several scripts[...].

We are happy to have translations. Having translations for dialectal variants is an option. Volunteer translators make an amazing work and we are happy to have translations for the wikis that we are targeting, on the main language used there.

I'm surprised not seeing Hindi in this list for India, now the most populated country [...].

Hindi Wikipedia does not have a Flow trial, that's why we don't have a translation in Hindi.

Finally, note that some questions include year numbers in responses, which are not translatable for now (but for Arabic at least, the Arabic digits should be used; for Chinese, year numbers may need adaptation of format by adding an additional sinogram meaning "year" after the ordinal number)

Good point, I'll add it manually. Thanks.

That task has been slowed down due to an important workflow on my side. I hope to release the survey after the Collaboration team offsite.

Trizek-WMF lowered the priority of this task from High to Normal.Jun 13 2016, 10:10 AM

Lowering priority: aster a discussion with @Qgil, we agreed on the fact that I should postpone it to after Wikimania to save time for my other tasks scheduled for that event. Will work on that survey during next quarter.

Trizek-WMF raised the priority of this task from Normal to High.Jun 24 2016, 11:44 AM
Trizek-WMF lowered the priority of this task from High to Normal.Jul 13 2016, 7:35 PM

Update:

  • all files with translations are ready
  • I'm blocked by a bug on Qualtrics: it is impossible to re-import CSV files they provide, upgraded with translations
  • I've checked if my files were corrupted or not following standards - that's not the case.
  • I've reported the bug to Qualtrics
  • I'm importing all of this manually
  • That last point is really long to acheve
Trizek-WMF updated the task description. (Show Details)Aug 2 2016, 3:09 PM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF updated the task description. (Show Details)Aug 2 2016, 3:16 PM
Alsee added a subscriber: Alsee.Aug 24 2016, 3:56 AM

@Trizek-WMF, the goal is to get unbiased feedback, right? The current survey invitation plans will inadvertently bias the results as hard as possible:

I planned to target all Flow users (people who have Flow on their user talk page as a beta feature (or by manual activation). I was also considering to put the the link to that survey on all Flow boards, to reach wikiprojects users or beginners (French help desk). Anyway, it gonna be a Flow post in any case.

One of the survey questions is whether people prefer Flow or Wikitext. You can't survey whether people prefer beer or wine by only giving survey invitations to people who installed a winecellar in their house. (i.e. selectively sending invitations to people who installed Flow talk pages.) Targeting survey invitations to public Flowboards is only marginally better. That still creates a hard bias against participation by people who have stopped using Flow because they find it worse than talk pages.

The invitation should be posted to central community locations like Village Pumps or Central Notice systems.

(For source, Alsee is quoting T125632#2011357, from February 6.)

We are going to announce that survey on public places like mailing-lists, but out primary audience remains people who have a real way to try Flow (Beta feature, very active boards like VPs on Flow or Help desks...) and an ability to compare classical talk pages and Flow talk pages.

To quote your metaphor, we prefer to have opinions of people who both drink beer and wine regularly. That's why we are not targeting people who only know beer or people who tried wine once a long time ago and never ever drank some again.

And to answer your question, we will post invitations on VPs for wikis which are using Flow actively, with more than one or two test page enabled. That way, we will both target people who are using Flow and other ones who are not using it (anymore or at all, or time to time) but want to raise issues and/or suggest ideas.

Trizek-WMF updated the task description. (Show Details)Aug 26 2016, 2:07 PM
Trizek-WMF raised the priority of this task from Normal to High.Aug 26 2016, 3:47 PM
Trizek-WMF updated the task description. (Show Details)Sep 1 2016, 9:18 PM

Scheduled for Sept. 6th.

Trizek-WMF updated the task description. (Show Details)Sep 6 2016, 6:17 PM
Trizek-WMF updated the task description. (Show Details)Sep 6 2016, 6:20 PM
Trizek-WMF updated the task description. (Show Details)Sep 7 2016, 3:31 PM

The survey will be stopped if we have +1,000 answers or if we don't have that target on the 20th of September.

The survey will be stopped if we have +1,000 answers

Do we have a basis for aiming at such a high goal? My (unscientific) sense of these things from past experience elsewhere is that once you get to about 500, you won't see your results changing any. I.e., a statistically valid sample. More responses just means more work to translate and collate, etc.

As I've mentioned on the Collaboration team hangout chat, I've just taken @egalvezwmf's advice into consideration. If 500 is enough statistically speaking. I'll be very happy to have less things to translate. :)

I'm sure Edward knows more about it than me. I was just wondering how we arrived at that number (which sounds like a lot of work since I think the survey includes free text). You might ask him...

@jmatazzoni - This depends on what kind of sub analysis you want to do, if any. For example, dividing by project type, gender, demographics, etc, the "power" of your analysis will drop as you slice and dice the numbers.

How many responses are you at? Which question/analysis is most important for you?

How many responses are you at?

358 recorded responses, 193 responses in progress

Which question/analysis is most important for you?

As you know, the goal is to have a good overview of what communities think about Flow and classical wikitext pages, and compare Flow needs despite cultural differences. Biggest wikis using Flow are quite well represented in the current results:

wiki % of answers recorded # of answers recorded # active boards
mediawiki.org17.47%511,200
fr.wikipedia.org20.89%61391
zh.wikipedia.org19.52%571,200
wikidata.org13.01%38523

Do you think that's enough?

Hi @Trizek-WMF sorry for the late response on here - can you clarify which question is most important from the survey? And if that question needs to be divided into any subgroups? (e.g. cross tabs by gender, wikimedia projects, etc.)

Thanks,
Edward

Dvorapa removed a subscriber: Dvorapa.Sep 16 2016, 5:56 AM

There is not question more important that others, but the overall appreciation and comparisons with current wiki talk pages may be the first thing we need. All other questions are about possible improvements.

I plan to cross results by Wikimedia projects, because they may not have the same expectations.

If you want to do any cross tabs, You *may* need something closer to 1000 responses. Keep in mind that 1000 responses doesn't mean everyone is answering all of the questions. About how many respondents do you have for the questions comparing wikitext to Flow?

Also - did you by chance extend how long the survey is open? Just in case - Go to Survey Options > at the very bottom under Partial Completion - select 6 months. Otherwise qualtrics will automatically close out the surveys after just one week.

Trizek-WMF renamed this task from Work on a satisfaction survey concerning Flow to Plan, write and submit a satisfaction survey concerning Flow to communities.Sep 19 2016, 5:23 PM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added a comment.EditedSep 19 2016, 6:51 PM

If you want to do any cross tabs, You *may* need something closer to 1000 responses. Keep in mind that 1000 responses doesn't mean everyone is answering all of the questions.

We are on the long tail now. It will take a lot of time to get new answers. We are at 573 recorded answers and 34 in progress at the time of that message.

About how many respondents do you have for the questions comparing wikitext to Flow?

All of them.

Also - did you by chance extend how long the survey is open? Just in case - Go to Survey Options > at the very bottom under Partial Completion - select 6 months. Otherwise qualtrics will automatically close out the surveys after just one week.

Done! Thanks @egalvezwmf

Do you have a way to send reminders? Re-post the survey etc? I understand this can be trick on wiki spaces. But typically you want to post about 3 reminders.

Do you have a way to send reminders? Re-post the survey etc? I understand this can be trick on wiki spaces.

Yes, it is possible, but it will be easier on village pumps than reposting on talk pages.

But typically you want to post about 3 reminders.

Why 3? That do you mean by 3?

I'm not closing the survey now, waiting for @egalvezwmf input and recommandations. I'll still need a clear definition of the best time to close it, to announce it to people who may ask.

@Trizek-WMF Sorry - I'm not sure why I didn't respond the your last comment about numbers. With 500 responses, you should be good to go with the scale questions that compare wikitext to flow.

OK, good. With 583 answers recorded, let's close that survey!

Trizek-WMF closed this task as Resolved.Sep 21 2016, 2:38 PM
Trizek-WMF updated the task description. (Show Details)
Qgil rescinded a token.Sep 22 2016, 5:52 AM
Qgil awarded a token.